Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Lennart Borgman <[email-masked]>
Date: Fri, 22 Apr 2011 15:47:54 +0200

On Thu, Apr 21, 2011 at 11:08 PM, Reuben Thomas <[email-masked]> wrote:
> On 21 April 2011 21:55, Lennart Borgman <[email-masked]> wrote:
>> On Thu, Apr 21, 2011 at 10:14 PM, Reuben Thomas <[email-masked]> wrote:
>>> On 21 April 2011 20:54, Lennart Borgman <[email-masked]> wrote:
>>>>
>>>>
>>>> But the fact is that many people using Emacs depends on cua-mode and
>>>> viper.
>>>
>>> Sure, so from time to time those bindings have to be updated when new
>>> incompatibilities arise with the default Emacs bindings. How is that a
>>> big deal?
>>
>>
>> The big deal is that it is Emacs that has to accommodate its default
>> bindings since the world outside is so much bigger.
>
> How is Viper or CUA the world outside?

They are mirrors of the outside world. And users of them want this
mirror to be exact in certain cases.

> To give just one example each, Viper is, following vi, modal: keys
> that in Emacs are always bound to self-insert-command are bound to
> editing commands in viper's command mode; in CUA, C-x is used for cut,
> whereas in Emacs's default bindings it's a prefix. So it's not even
> hypothetical: there are already fundamental incompatibilities. Why,
> therefore, the fuss about another (potential) incompatibility?

If you do not think this is a problem then I guess you also could
accept an argument for moving for example C-x in Emacs to another key?